Boomi API Control Plane REST API - Applications
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get application
Get a single application.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| displayName required | string Human-readable name of the application. |
| numMcpEnabledProducts required | integer <int32> Count of MCP-enabled products subscribed to. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE (subscriptions work) or INACTIVE (all suspended). |
| description | string <= 1000 characters Optional description of the application. |
| owner | string <uuid> Owning organization UUID. |
| oauthCallbackUrl | string OAuth callback URL. |
| oauthScope | string OAuth scope. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| createdAt | string <date-time> Timestamp when the application was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this application (read-only). |
Array of objects (EnvironmentDTO) Deprecated Deprecated — use apiGateways. | |
Array of objects (ApiGatewayDTO) Deployed gateways. Requires includeDeployedOn=true. | |
| aiAgentKey | string API key for AI agent MCP access. |
Response samples
- 200
- default
{- "displayName": "Business Application",
- "description": "some text...",
- "status": "ACTIVE",
- "owner": 1,
- "oauthCallbackUrl": "string",
- "oauthScope": "string",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "apiGateways": [
- {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}
], - "aiAgentKey": "string",
- "numMcpEnabledProducts": 0
}Update application
Update an application.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| displayName required | string Human-readable name of the application. |
| numMcpEnabledProducts required | integer <int32> Count of MCP-enabled products subscribed to. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE (subscriptions work) or INACTIVE (all suspended). |
| description | string <= 1000 characters Optional description of the application. |
| owner | string <uuid> Owning organization UUID. |
| oauthCallbackUrl | string OAuth callback URL. |
| oauthScope | string OAuth scope. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| createdAt | string <date-time> Timestamp when the application was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this application (read-only). |
| aiAgentKey | string API key for AI agent MCP access. |
Responses
Response Schema: application/json
| displayName required | string Human-readable name of the application. |
| numMcpEnabledProducts required | integer <int32> Count of MCP-enabled products subscribed to. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE (subscriptions work) or INACTIVE (all suspended). |
| description | string <= 1000 characters Optional description of the application. |
| owner | string <uuid> Owning organization UUID. |
| oauthCallbackUrl | string OAuth callback URL. |
| oauthScope | string OAuth scope. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| createdAt | string <date-time> Timestamp when the application was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this application (read-only). |
Array of objects (EnvironmentDTO) Deprecated Deprecated — use apiGateways. | |
Array of objects (ApiGatewayDTO) Deployed gateways. Requires includeDeployedOn=true. | |
| aiAgentKey | string API key for AI agent MCP access. |
Request samples
- Payload
{- "displayName": "Business Application",
- "description": "some text...",
- "status": "ACTIVE",
- "owner": 1,
- "oauthCallbackUrl": "string",
- "oauthScope": "string",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "hasImage": false,
- "aiAgentKey": "string",
- "numMcpEnabledProducts": 0
}Response samples
- 200
- default
{- "displayName": "Business Application",
- "description": "some text...",
- "status": "ACTIVE",
- "owner": 1,
- "oauthCallbackUrl": "string",
- "oauthScope": "string",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "apiGateways": [
- {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}
], - "aiAgentKey": "string",
- "numMcpEnabledProducts": 0
}Delete application
Delete an application.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| undeploy | boolean |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Get application icon
Get the icon for an application, if present.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema:
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Upload application icon
Upload an icon for an application. An existing icon will be overwritten.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Delete application icon
Delete the icon for an application.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Get application custom field values
Get all Custom Fields that have been set for this application.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
required | Array of objects (CustomFieldValue) List of custom field values to set. | ||||
Array
| |||||
Response samples
- 200
- default
{- "fields": [
- {
- "customField": "2842c914-d3bf-42d4-b9ae-bbfd2ec6c9a7",
- "value": "string"
}
]
}Set application custom field values
Overwrite the Custom Fields for this application. Any existing values not included in this request will be removed.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
required | Array of objects (CustomFieldValue) List of custom field values to set. | ||||
Array
| |||||
Responses
Request samples
- Payload
{- "fields": [
- {
- "customField": "2842c914-d3bf-42d4-b9ae-bbfd2ec6c9a7",
- "value": "string"
}
]
}Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List applications
Get filtered and paged list of all applications.
Authorizations:
query Parameters
| text | string |
| displayName | string |
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| status | string Enum: "INACTIVE" "ACTIVE" |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" |
| environment | string <uuid> Deprecated This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| apiGateway | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| deployed | boolean |
| candidatesForProduct | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| includeDeployedOn | boolean |
| hasMcpEnabledProducts | boolean |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApplicationDTO) List of ApplicationDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "displayName": "Business Application",
- "description": "some text...",
- "status": "ACTIVE",
- "owner": 1,
- "oauthCallbackUrl": "string",
- "oauthScope": "string",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "apiGateways": [
- {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}
], - "aiAgentKey": "string",
- "numMcpEnabledProducts": 0
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Create application
Create an application.
Authorizations:
Request Body schema: application/jsonrequired
| displayName required | string Human-readable name of the application. |
| numMcpEnabledProducts required | integer <int32> Count of MCP-enabled products subscribed to. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE (subscriptions work) or INACTIVE (all suspended). |
| description | string <= 1000 characters Optional description of the application. |
| owner | string <uuid> Owning organization UUID. |
| oauthCallbackUrl | string OAuth callback URL. |
| oauthScope | string OAuth scope. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| createdAt | string <date-time> Timestamp when the application was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this application (read-only). |
| aiAgentKey | string API key for AI agent MCP access. |
Responses
Response Schema: application/json
| displayName required | string Human-readable name of the application. |
| numMcpEnabledProducts required | integer <int32> Count of MCP-enabled products subscribed to. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE (subscriptions work) or INACTIVE (all suspended). |
| description | string <= 1000 characters Optional description of the application. |
| owner | string <uuid> Owning organization UUID. |
| oauthCallbackUrl | string OAuth callback URL. |
| oauthScope | string OAuth scope. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| createdAt | string <date-time> Timestamp when the application was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this application (read-only). |
Array of objects (EnvironmentDTO) Deprecated Deprecated — use apiGateways. | |
Array of objects (ApiGatewayDTO) Deployed gateways. Requires includeDeployedOn=true. | |
| aiAgentKey | string API key for AI agent MCP access. |
Request samples
- Payload
{- "displayName": "Business Application",
- "description": "some text...",
- "status": "ACTIVE",
- "owner": 1,
- "oauthCallbackUrl": "string",
- "oauthScope": "string",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "hasImage": false,
- "aiAgentKey": "string",
- "numMcpEnabledProducts": 0
}Response samples
- 200
- default
{- "displayName": "Business Application",
- "description": "some text...",
- "status": "ACTIVE",
- "owner": 1,
- "oauthCallbackUrl": "string",
- "oauthScope": "string",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "apiGateways": [
- {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}
], - "aiAgentKey": "string",
- "numMcpEnabledProducts": 0
}Deploy application
Deploy an application to all environments where it is required.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Deploy application asynchronously
Asynchronously deploy an application to all environments where it is required.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}List application subscriptions
Get all subscriptions for an application.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| includeDTOs | boolean |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (SubscriptionDTO) List of SubscriptionDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "application": "123e4567-e89b-12d3-a456-426614174000",
- "apiProduct": "123e4567-e89b-12d3-a456-426614174000",
- "plan": "123e4567-e89b-12d3-a456-426614174000",
- "environments": "[123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000]",
- "id": "123e4567-e89b-12d3-a456-426614174000",
- "approvalStatus": "APPROVED",
- "approvalRequest": "123e4567-e89b-12d3-a456-426614174000",
- "deploymentStatus": "COMPLETE",
- "termsOfUseAccepted": true,
- "applicationDisplayName": "Business Application",
- "applicationOwnerDisplayName": "Default Organization",
- "applicationAccessible": true,
- "apiProductDisplayName": "Petstore APIs",
- "apiProductAccessible": true,
- "planDisplayName": "gold",
- "apiProductDTO": {
- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- null
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": null,
- "version": null
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}, - "apiProductImage": "string",
- "planDTO": {
- "id": 1,
- "displayName": "gold",
- "description": "some text...",
- "quotaHits": 1000,
- "quotaInterval": "DAY",
- "rateLimit": 10,
- "rateInterval": "SECOND",
- "deploymentStatus": "COMPLETE"
}
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List application deployments
Get all deployments for this application.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApplicationDeploymentDTO) List of ApplicationDeploymentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "apiGateway": 1,
- "environment": 1,
- "application": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "what went wrong...",
- "id": 1
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Delete application asynchronously
Asynchronously delete an application.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| undeploy | boolean |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}